package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.CommunitySubscribers;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBCommunitySubscribersDAO extends CommunitySubscribersDAO, MongoRepository<CommunitySubscribers, String> {

    List<CommunitySubscribers> findAll();

    CommunitySubscribers findById(String Id);

    CommunitySubscribers findByPid(String Pid);

    CommunitySubscribers save(CommunitySubscribers communitySubscribers);

    void deleteAll();

    void delete(String id);
}
