package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.HtmlPageContent;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBHtmlPageContentDAO extends HtmlPageContentDAO, MongoRepository<HtmlPageContent, String> {
    List<HtmlPageContent> findAll();
    List<HtmlPageContent> findByCommunity(String communityId);
    HtmlPageContent findById(String Id);
    HtmlPageContent save(HtmlPageContent htmlPageContent);
    void deleteAll();
    void delete(String id);
}
