package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.Layout;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBLayoutDAO extends LayoutDAO, MongoRepository<Layout, String> {

    List<Layout> findAll();

    Layout findById(String Id);

    Layout save(Layout entity);

    void deleteAll();

    void delete(String id);
}
