package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.Topic;

import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBTopicDAO extends TopicDAO, MongoRepository<Topic, String> {
    List<Topic> findAll();

    Topic findById(String Id);

    Topic save(Topic topic);

    void deleteAll();

    void delete(String id);
}
