package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.Question;

import java.util.List;

public interface QuestionDAO {
    List<Question> findAll();

    Question findById(String id);

    List<Question> findByTopicsIn(String id);

    List<Question> findByTopicsInAndIsActiveIsTrue(String id);

    Question save(Question question);

    void deleteAll();

    void delete(String id);
}
