package eu.dnetlib.uoaadmintools.entities;

import com.fasterxml.jackson.annotation.JsonProperty;

import org.springframework.data.annotation.Id;

import java.util.List;
import java.util.Map;

public class Community {

    @Id
    @JsonProperty("_id")
    private String id;

    private String pid;
    private String name;
    private Map<String, Boolean> pages;
    private Map<String, Boolean> entities;
    private String layout;

    public Community() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Map<String, Boolean> getPages() { return pages; }

    public void setPages(Map<String, Boolean> pages) { this.pages = pages; }

    public Map<String, Boolean> getEntities() { return entities; }

    public void setEntities(Map<String, Boolean> entities) {
        this.entities = entities;
    }

    @Override
    public String toString() {
        return "Community{" +
                "id='" + id + '\'' +
                ", pid='" + pid + '\'' +
                ", name='" + name + '\'' +
                ", pages=" + pages +
                ", entities=" + entities +
                '}';
    }

    public String getLayout() {
        return layout;
    }

    public void setLayout(String layout) {
        this.layout = layout;
    }
}
