package eu.dnetlib.uoaadmintools.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.data.annotation.Id;

import java.util.List;

public class DivIdResponse {
    @Id
    @JsonProperty("_id")
    private String id;

    private String name;
    private List<Page> pages;
    private Boolean connect;
    private Boolean communities;
    private Boolean openaire;

    public DivIdResponse() {}

    public DivIdResponse(DivId divId) {
        this.id = divId.getId();
        this.name = divId.getName();
        setConnect(divId.getConnect());
        setCommunities(divId.getCommunities());
        setOpenaire(divId.getOpenaire());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Page> getPages() {
        return pages;
    }

    public void setPages(List<Page> pages) {
        this.pages = pages;
    }

    public Boolean getConnect() {
        return connect;
    }

    public void setConnect(Boolean connect) { this.connect = connect; }

    public Boolean getCommunities() { return communities; }

    public void setCommunities(Boolean communities) {
        this.communities = communities;
    }

    public Boolean getOpenaire() {
        return openaire;
    }

    public void setOpenaire(Boolean openaire) {
        this.openaire = openaire;
    }
}
