package eu.dnetlib.uoaadmintools.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.data.annotation.Id;

/**
 * Created by argirok on 6/7/2018.
 */
public class Notifications {
    @Id
    @JsonProperty("_id")
    private String id;
    Boolean notifyForNewManagers = true;
    Boolean notifyForNewSubscribers = true;
    String managerEmail;
    String communityPid;
    public Notifications(){

    }
    public Notifications(String managerEmail, String communityPid){
        this();
        this.communityPid = communityPid;
        this.managerEmail = managerEmail;
    }
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Boolean getNotifyForNewManagers() {
        return notifyForNewManagers;
    }

    public void setNotifyForNewManagers(Boolean notifyForNewManagers) {
        this.notifyForNewManagers = notifyForNewManagers;
    }

    public Boolean getNotifyForNewSubscribers() {
        return notifyForNewSubscribers;
    }

    public void setNotifyForNewSubscribers(Boolean notifyForNewSubscribers) {
        this.notifyForNewSubscribers = notifyForNewSubscribers;
    }

    public String getManagerEmail() {
        return managerEmail;
    }

    public void setManagerEmail(String managerEmail) {
        this.managerEmail = managerEmail;
    }

    public String getCommunityPid() {
        return communityPid;
    }

    public void setCommunityPid(String communityPid) {
        this.communityPid = communityPid;
    }

    @Override
    public String toString() {
        return "Notifications{" +
                "id='" + id + '\'' +
                ", notifyForNewManagers=" + notifyForNewManagers +
                ", notifyForNewSubscribers=" + notifyForNewSubscribers +
                ", managerEmail='" + managerEmail + '\'' +
                ", communityPid='" + communityPid + '\'' +
                '}';
    }
}
