package eu.dnetlib.uoaadmintools.entities;

import com.fasterxml.jackson.annotation.JsonProperty;

import org.springframework.data.annotation.Id;

import java.util.List;

public class Page {

    @Id
    @JsonProperty("_id")
    private String id;

    private String route;
    private String name;
    private String type;
    private List<String> entities;
    private Boolean connect;
    private Boolean communities;
    private Boolean openaire;

    // Posiitions where help texts are allowed for this page
    private Boolean top;
    private Boolean bottom;
    private Boolean left;
    private Boolean right;

    public Page() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRoute() {
        return route;
    }

    public void setRoute(String route) {
        this.route = route;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<String> getEntities() { return entities; }

    public void setEntities(List<String> entities) { this.entities = entities; }

    public Boolean getConnect() {
        return connect;
    }

    public void setConnect(Boolean connect) { this.connect = connect; }

    public Boolean getCommunities() {
        return communities;
    }

    public void setCommunities(Boolean communities) {
        this.communities = communities;
    }

    public Boolean getOpenaire() {
        return openaire;
    }

    public void setOpenaire(Boolean openaire) {
        this.openaire = openaire;
    }

    public Boolean getTop() {
        return top;
    }

    public void setTop(Boolean top) {
        this.top = top;
    }

    public Boolean getBottom() {
        return bottom;
    }

    public void setBottom(Boolean bottom) {
        this.bottom = bottom;
    }

    public Boolean getLeft() {
        return left;
    }

    public void setLeft(Boolean left) {
        this.left = left;
    }

    public Boolean getRight() {
        return right;
    }

    public void setRight(Boolean right) {
        this.right = right;
    }
}
