package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.Community;

import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBCommunityDAO extends CommunityDAO, MongoRepository<Community, String> {
    List<Community> findAll();

    Community findById(String Id);

    Community findByPid(String Pid);

    Community findByName(String Name);

    Community save(Community community);

    void deleteAll();

    void delete(String id);
}
