package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.Question;

import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBQuestionDAO extends QuestionDAO, MongoRepository<Question, String> {
    List<Question> findAll();

    Question findById(String id);

    List<Question> findByTopicsIn(String id);

    List<Question> findByTopicsInAndIsActiveIsTrue(String id);

    Question save(Question question);

    void deleteAll();

    void delete(String id);
}

