package eu.dnetlib.uoaadmintools.dao;

import eu.dnetlib.uoaadmintools.entities.Subscriber;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBSubscriberDAO extends SubscriberDAO, MongoRepository<Subscriber, String> {

    List<Subscriber> findAll();

    Subscriber findById(String Id);

    Subscriber findByEmail(String email);

    Subscriber save(Subscriber subscriber);

    void deleteAll();

    void delete(String id);
}