package eu.dnetlib.uoaadmintools.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.data.annotation.Id;

public class HtmlPageContentResponse {
    @Id
    @JsonProperty("_id")
    private String id;

    private Page page;
    private Community community;
    private String content;

    public HtmlPageContentResponse() {
    }

    public HtmlPageContentResponse(HtmlPageContent htmlPageContent) {
        this.id = htmlPageContent.getId();
        this.content = htmlPageContent.getContent();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }

    public Community getCommunity() {
        return community;
    }

    public void setCommunity(Community community) {
        this.community = community;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
