package eu.dnetlib.uoaadmintools.entities;

import com.fasterxml.jackson.annotation.JsonProperty;

import org.springframework.data.annotation.Id;

import java.util.Date;

public class Topic {

    @Id
    @JsonProperty("_id")
    private String id;

    private String name;
    private String description;
    private Date date = new Date();
    private Float weight;
    private String questionOrder;

    public Topic() {
    }

    /*
    public Topic(String name, String description, Float weight, String questionOrder) {
        this.name = name;
        this.description = description;
        this.weight = weight;
        this.questionOrder = questionOrder;
    }
    */

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Float getWeight() {
        return weight;
    }

    public void setWeight(Float weight) {
        this.weight = weight;
    }

    public String getQuestionOrder() {
        return questionOrder;
    }

    public void setQuestionOrder(String questionOrder) {
        this.questionOrder = questionOrder;
    }
}
